<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sun-cmp-mappings PUBLIC "-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 OR Mapping //EN" "http://www.sun.com/software/sunone/appserver/dtds/sun-cmp-mapping_1_0.dtd">
<sun-cmp-mappings>
  <sun-cmp-mapping>
    <schema>specjschema</schema>
    <entity-mapping>
      <ejb-name>SequenceEnt</ejb-name>
      <table-name>U_sequences</table-name>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>U_sequences.s_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>blockSize</field-name>
        <column-name>U_sequences.s_blocksize</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>nextNumber</field-name>
        <column-name>U_sequences.s_nextnum</column-name>
      </cmp-field-mapping>
      <consistency>
	<lock-when-loaded/>
      </consistency>
    </entity-mapping>
  </sun-cmp-mapping>
</sun-cmp-mappings>
